<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetInteractiveLockoutStatusOuput StructType
 * @subpackage Structs
 */
class GetInteractiveLockoutStatusOuput extends AbstractStructBase
{
    /**
     * The IsInteractiveLockoutEnabled
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsInteractiveLockoutEnabled;
    /**
     * The ErrorMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ErrorMessage;
    /**
     * Constructor method for GetInteractiveLockoutStatusOuput
     * @uses GetInteractiveLockoutStatusOuput::setIsInteractiveLockoutEnabled()
     * @uses GetInteractiveLockoutStatusOuput::setErrorMessage()
     * @param bool $isInteractiveLockoutEnabled
     * @param string $errorMessage
     */
    public function __construct($isInteractiveLockoutEnabled = null, $errorMessage = null)
    {
        $this
            ->setIsInteractiveLockoutEnabled($isInteractiveLockoutEnabled)
            ->setErrorMessage($errorMessage);
    }
    /**
     * Get IsInteractiveLockoutEnabled value
     * @return bool
     */
    public function getIsInteractiveLockoutEnabled()
    {
        return $this->IsInteractiveLockoutEnabled;
    }
    /**
     * Set IsInteractiveLockoutEnabled value
     * @param bool $isInteractiveLockoutEnabled
     * @return \CustomerManagement\StructType\GetInteractiveLockoutStatusOuput
     */
    public function setIsInteractiveLockoutEnabled($isInteractiveLockoutEnabled = null)
    {
        // validation for constraint: boolean
        if (!is_null($isInteractiveLockoutEnabled) && !is_bool($isInteractiveLockoutEnabled)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isInteractiveLockoutEnabled, true), gettype($isInteractiveLockoutEnabled)), __LINE__);
        }
        $this->IsInteractiveLockoutEnabled = $isInteractiveLockoutEnabled;
        return $this;
    }
    /**
     * Get ErrorMessage value
     * @return string|null
     */
    public function getErrorMessage()
    {
        return $this->ErrorMessage;
    }
    /**
     * Set ErrorMessage value
     * @param string $errorMessage
     * @return \CustomerManagement\StructType\GetInteractiveLockoutStatusOuput
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorMessage, true), gettype($errorMessage)), __LINE__);
        }
        $this->ErrorMessage = $errorMessage;
        return $this;
    }
}
